Eclipse Platform Release 3.7

## org.eclipse.core.databinding.beans
Interface IBeanListProperty

All Superinterfaces:
  IBeanProperty, IListProperty, IProperty

    public interface IBeanListProperty

extends IBeanProperty, IListProperty

An `IListProperty` extension interface with convenience methods for creating nested bean properties.

Since:
  1.2

Method Summary
`IBeanListProperty` `values(IBeanValueProperty property)` Returns a master-detail combination of this property and the specified value property.
`IBeanListProperty` `values(String propertyName)` Returns a master-detail combination of this property and the specified value property.
`IBeanListProperty` `values(String propertyName, Class valueType)` Returns a master-detail combination of this property and the specified value property.

Methods inherited from interface org.eclipse.core.databinding.beans.IBeanProperty
`getPropertyDescriptor`

Methods inherited from interface org.eclipse.core.databinding.property.list.IListProperty
`getElementType, getList, listFactory, listFactory, observe, observe, observeDetail, setList, updateList, values`

Method Detail

### values

    IBeanListProperty values(String propertyName)

  Returns a master-detail combination of this property and the specified value property.

  Parameters:
    `propertyName` - the value property to observe. May be nested e.g. "parent.name"
  Returns:
    a nested combination of this property and the specified value property.
  See Also:
    `values(IBeanValueProperty)`

### values

    IBeanListProperty values(String propertyName,
                             Class valueType)

  Returns a master-detail combination of this property and the specified value property.

  Parameters:
    `propertyName` - the value property to observe. May be nested e.g. "parent.name"
    `valueType` - the value type of the named property
  Returns:
    a master-detail combination of this property and the specified value property.
  See Also:
    `values(IBeanValueProperty)`

### values

    IBeanListProperty values(IBeanValueProperty property)

  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all elements observed by this list property.

  Example:

       // Observes the list-typed "children" property of a Person object,
       // where the elements are Person objects
       IBeanListProperty children = BeanProperties.list(Person.class, "children",
                      Person.class);
       // Observes the string-typed "name" property of a Person object
       IBeanValueProperty name = BeanProperties.value(Person.class, "name");
       // Observes the names of children of a Person object.
       IBeanListProperty childrenNames = children.values(name);

  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.